#!/bin/bash

source Config.conf

cat $XML | xml2asc > $TMP/A.xml
itstool -i $RULES/rules.its -o $TMP/B.po $TMP/A.xml

cat $TMP/B.po | sed s/msgstr\ \"\"/msgstr\ \"\"\\n@#@/ > $TMP/C.po
awk 'BEGIN {c=1} {for(w=1;w<=NF;w++){c+=sub("@#@","#@# " NR " " c,$w) };print}' $TMP/C.po > $TMP/D.po

cat $TMP/D.po | grep "#@#" | cut -d ' ' -f2 > $TMP/punti-split

BASE=20
N=$BASE
NUMERO=001
WC=$(wc -l $TMP/punti-split | cut -d ' ' -f1)
TAIL1=$(cat $TMP/punti-split | head -n $N | tail -n1)
TAIL=0

numeratore () {
WC2=`echo $NUMERO | wc -L`
if   [ $WC2 = 1 ]; then
    NUMERO=`echo 00$NUMERO`
elif [ $WC2 = 2 ]; then
    NUMERO=`echo 0$NUMERO`
fi
}

while [ $N -lt $WC ]; do
    if [ $TAIL1 = 0 ]; then
    TAIL=$HEAD
    fi
    HEAD=$(cat $TMP/punti-split | head -n $N | tail -n1)
    TAIL=$(($HEAD-$TAIL))

    cat $TMP/D.po | head -n $HEAD |\
    tail -n $TAIL | grep -v "#@#" > $PO/$NUMERO.po$1
    
    N=$(($N+$BASE))
    NUMERO=`echo "$NUMERO + 1" | bc`
    numeratore
    if [ $TAIL1 -gt 0 ]; then
    TAIL1=0
    TAIL=$HEAD
    fi
done

N=$(($N-$BASE+1))
WC=$(wc -l $TMP/D.po | cut -d ' ' -f1)
HEAD=$(cat $TMP/punti-split | head -n $N | tail -n1)
TAIL=$(($WC - $HEAD + 5))
cat $TMP/D.po | tail -n $TAIL | grep -v "#@#" > $PO/$NUMERO.po$1

rm  $TMP/punti-split $TMP/A.xml $TMP/B.po $TMP/C.po $TMP/D.po
