#!/bin/bash

source Config.conf


HTML=$(basename $XML | sed s/.xml/.$LANG.html/)
XMLLOC=$(basename $XML | sed s/.xml/.$LANG.xml/)
TALAN=$TMP/xalan.html
THTML=$TMP/html
:> $THTML
:> $TALAN

xalan -in $TARGET/$XMLLOC -xsl $RULES/rules.xsl -html  > $TALAN


H2=$(cat $TARGET/$XMLLOC | head -n3 | grep title | tr '>' '\t' | tr '<' '\t' | cut -f 3)

echo "<!DOCTYPE html>
<html>
<body>
<h2>$H2</h2>
" > $THTML

cat $TALAN >> $THTML

echo "
</body>
</html>" >> $THTML

cat $THTML | $RULES/xml2html.sed >  $TARGET/$HTML
mv $TARGET/$HTML $THTML

######## Sposto il contenuto dei tag tool e part dentro a categories
# qui li salvo in un file temporaneo
echo "<tool>¹" | tr -d '\n' > $TMP/part
cat $THTML |\
grep "<part>" |\
sed 's/<part>/<p>\n/' | \
sed 's/<\/part>/\n<\/p>¹/'  >> $TMP/part

cat $THTML |\
grep "<tool>" | \
sed 's/<tool>/<p>\n/' | \
sed 's/<\/tool>/\n<\/p>¹/' >> $TMP/part
echo "</tool></categories>¹" | tr -d '\n' >> $TMP/part
###  fine file temporaneo

# ora che che il contenuto dei tag è salvato, elimino i tag dal file html
cat $THTML | \
grep -v "part>" |\
grep -v "parts>"|\
grep -v "tool>" |\
grep -v "tools>" > $TARGET/$HTML
mv $TARGET/$HTML $THTML

cat $THTML |./SedReplace.sh  | tr '¹' '\n' > $TARGET/$HTML


#########
rm $THTML $TALAN

exit
